I now see the "Filr-3.4.3a update" listed under "Needed Patches" on our two Filr appliances.
But I don't see it on our Search Appliance.
Is that normal?

Just concerned in proceeding to update the Filr appliances because this patch's details indicate:

"This update is required on the Filr, Filr Search and Filr MySQL appliance(s) in your Filr deployment."

Thanks,
Marc